Skip to main content
POST
Cancel training job

Authorizations

Authorization
string
header
required

API key with the vk_ prefix. Create one from the dashboard.

Path Parameters

job_id
string
required

Training job ID

Response

The cancelled job

object
string
required
id
string
required
status
enum<string>
required
Available options:
queued,
provisioning,
configuring,
running,
completed,
failed,
cancelled
method
string
required
output_name
string
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
base_model
string | null
dataset_id
string | null
reward_function_id
string | null
hyperparameters
object
base_image
string | null
entrypoint
string | null
gpu
null | object

Pydantic GPUInfo (with type field). Rust uses gpu_type internally but serializes as "type" for JSON parity.

gpu_requested
null | object

Pydantic GPUInfo (with type field). Rust uses gpu_type internally but serializes as "type" for JSON parity.

provider
string | null
region
string | null
num_nodes
integer<int32>
error
null | object
dashboard_url
string | null
download_url
string | null
wandb_run_url
string | null
current_step
integer<int32> | null
total_steps
integer<int32> | null
current_loss
number<double> | null
cost_usd
number<double> | null
duration_seconds
number<double> | null
started_at
string<date-time> | null
completed_at
string<date-time> | null